<eos-header-nav *showAuthed="true"></eos-header-nav>
<eos-notification *showAuthed="true"></eos-notification>

<eos-sidebar-nav *showAuthed="true"></eos-sidebar-nav>
<div class="container-fluid">
  <main role="main" class="main-container" [ngClass]="{'main-container-landing-page': !isAuthenticated}">
    <ngx-spinner
        bdOpacity=0.4
        bdColor="rgba(51,51,51,0.38)"
        size="medium"
        color="#ff0000"
        type="ball-atom"
        [fullScreen]="true"
    >
      <p style="color: white"> Lädt... </p>
    </ngx-spinner>
    <router-outlet></router-outlet>
  </main>
</div>

<ngx-guided-tour
    [skipText]="'tour.skip' | translate"
    [backText]="'tour.back' | translate"
    [nextText]="'tour.next' | translate"
    [doneText]="'tour.done' | translate"
    [minimalTourStepWidth]="400"
    [progressIndicator]="progressIndicator"
></ngx-guided-tour>
<ng-template #progressIndicator></ng-template>
<footer class="footer" *showAuthed="false">
  <div class="container d-flex justify-content-start">
    <span class="text-muted">
      &copy; ys 2020, v{{version}}
    </span>
    <a class="ml-md-3" routerLink="/impressum">Impressum</a>
    <a class="ml-2 ml-md-3" routerLink="/datenschutz">Datenschutz</a>
  </div>
</footer>

